Bug 192616 - pbzip2: $RPM_OPT_FLAGS not used
pbzip2: $RPM_OPT_FLAGS not used
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pbzip2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Gilchrist
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-21 17:46 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.9.6-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 12:26:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-05-21 17:46:10 EDT
pbzip2's build doesn't appear to be honoring $RPM_OPT_FLAGS, reusulting in
compiler security features not being used and a more or less useless debuginfo
package.  More info: http://fedoraproject.org/wiki/Packaging/Debuginfo

Possible fix, in %prep:
sed -i -e 's/ -O3 / %{optflags} /' Makefile
Comment 1 Jeff Gilchrist 2006-05-23 09:57:16 EDT
Updated RPM package to honour $RPM_OPT_FLAGS during Make.  Please test to make
sure it works as expected.
Comment 2 Ville Skyttä 2006-05-23 12:26:45 EDT
I'm not a pbzip2 user myself, but the debuginfo packages from the
just-being-pushed 0.9.6-3 look better.

Note You need to log in before you can comment on or make changes to this bug.